Bug 1471574 - Fedora 26 has incomplete KDE translations
Fedora 26 has incomplete KDE translations
Status: NEW
Product: Fedora
Classification: Fedora
Component: kde-l10n (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Translation
Depends On:
Blocks: 1546484
  Show dependency treegraph
 
Reported: 2017-07-16 20:19 EDT by pablow
Modified: 2018-02-26 13:51 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pablow 2017-07-16 20:19:54 EDT
Description of problem:
After upgrading to Fedora 26 some KDE Apps (i.e. Okular, Ark, and others) have mixed languages in buttons and menus.

Version-Release number of selected component (if applicable):
KDE Apps 16.12.3-1?

How reproducible:
Always

Steps to Reproduce:
1. Set Spanish language at install time with Fedora 25. 
2. Upgrade to Fedora 26 
3. Open Okular or Ark

Actual results:
KDE Apps have mixed language strings.

Expected results:
KDE Apps should be in Spanish.
Comment 1 Felipe Hommen 2017-07-28 05:21:31 EDT
This also happens with a new installation, and after installing kde-l10n-es and kde-i18n-Spanish and selecting spanish as preferred language
Comment 2 Mario Blättermann 2017-08-08 14:04:07 EDT
Same problem here with the German locale. Both kde-l10n-de and qt5-qttranslations are installed.
Comment 3 Morvan 2017-08-26 21:39:18 EDT
Hi. I use F26 (Workstation, Plasma installed as Groupinstall) and I suffer same problem: partial translation. I reinstalled translation sensible files, but no help.
Comment 4 Morvan 2017-08-26 21:40:54 EDT
Obs.: Brazilian Portuguese.
Comment 5 Ingo van Lil 2017-12-28 04:42:51 EST
Same problem here on three systems with German locale. The issue was gone after upgrading to F27.
Comment 6 Sylvia Sánchez 2017-12-29 18:03:31 EST
I'm in Fedora 27 and KDE still has the same issue. Whenever I change languages (German & British English) desktop ends showing a mix of both.
I also have Gnome Shell installed and there desktop and apps show the correct language without mixing.
Comment 7 Piotr Drąg 2018-02-18 11:00:19 EST
I think this should be moved to KDE.
Comment 8 noriko 2018-02-22 03:31:30 EST
Hi Ngo
We are in F28 cycle. Is this bug to be fixed in F28?
Comment 9 Sylvia Sánchez 2018-02-23 03:36:14 EST
(In reply to noriko from comment #8)
> Hi Ngo
> We are in F28 cycle. Is this bug to be fixed in F28?

I tried last month and it was still the same. I will try again this weekend to check if the problem is still there in F28.
Comment 10 Rex Dieter 2018-02-23 10:17:52 EST
F27 and newer should have all the latest versions of kde-apps, which includes all transations that kde.org upstream provides.  If there's still anything missing, it's an upstream issue (nothing fedora-specific)
Comment 11 noriko 2018-02-24 23:16:33 EST
Which kde version will F28 include?
Comment 12 Rex Dieter 2018-02-26 13:51:01 EST
Still too far out to tell for sure, but currently targeting the latest that kde.org released:
Plasma 5.12.2
KDE Applications 17.12.2
KDE Frameworks 5.43.0

Note You need to log in before you can comment on or make changes to this bug.